Package it.ernytech.tdlib

## Class TdApi.InputMessageAudio

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.InputMessageContent
    - - it.ernytech.tdlib.TdApi.InputMessageAudio

Enclosing class:
  TdApi

    public static class TdApi.InputMessageAudio
    extends TdApi.InputMessageContent

An audio message.

### Field Summary

Fields
`TdApi.InputThumbnail` `albumCoverThumbnail` Thumbnail of the cover for the album, if available.
`TdApi.InputFile` `audio` Audio file to be sent.
`TdApi.FormattedText` `caption` Audio caption; 0-200 characters.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`int` `duration` Duration of the audio, in seconds; may be replaced by the server.
`java.lang.String` `performer` Performer of the audio; 0-64 characters, may be replaced by the server.
`java.lang.String` `title` Title of the audio; 0-64 characters; may be replaced by the server.

### Constructor Summary

Constructors
`InputMessageAudio()` Default constructor.
`InputMessageAudio​(TdApi.InputFile audio, TdApi.InputThumbnail albumCoverThumbnail, int duration, java.lang.String title, java.lang.String performer, TdApi.FormattedText caption)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### audio

    public TdApi.InputFile audio

Audio file to be sent.

#### albumCoverThumbnail

    public TdApi.InputThumbnail albumCoverThumbnail

Thumbnail of the cover for the album, if available.

#### duration

    public int duration

Duration of the audio, in seconds; may be replaced by the server.

#### title

    public java.lang.String title

Title of the audio; 0-64 characters; may be replaced by the server.

#### performer

    public java.lang.String performer

Performer of the audio; 0-64 characters, may be replaced by the server.

#### caption

    public TdApi.FormattedText caption

Audio caption; 0-200 characters.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### InputMessageAudio

    public InputMessageAudio()

Default constructor.

#### InputMessageAudio

    public InputMessageAudio​(TdApi.InputFile audio,
                             TdApi.InputThumbnail albumCoverThumbnail,
                             int duration,
                             java.lang.String title,
                             java.lang.String performer,
                             TdApi.FormattedText caption)

Constructor for initialization of all fields.

Parameters:
  `audio` - Audio file to be sent.
  `albumCoverThumbnail` - Thumbnail of the cover for the album, if available.
  `duration` - Duration of the audio, in seconds; may be replaced by the server.
  `title` - Title of the audio; 0-64 characters; may be replaced by the server.
  `performer` - Performer of the audio; 0-64 characters, may be replaced by the server.
  `caption` - Audio caption; 0-200 characters.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR